
QGIS Application - Feature request #1714

"Use selection" patch for fTools

2009-05-26 12:54 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11774

Description

This is a patch wich allow to use selected features from layer in some geoprocessing tools (Convex hull(s), Buffers, Intersect, Clip,

Difference and Dissolve). Also this patch allow to use Basic statistics tool only for selected features and add possibility to get statistics on

text fields(minimum and maximum length, mean length and other).

There are four files in attachment: two for UI-files and two for Python code.

This patch was created with the support of GIS-Lab and some discussion (in Russian) can be found here [

http://gis-lab.info/forum/viewtopic.php?f=27&#38;t=3350]

History

#1 - 2009-05-26 03:23 AM - cfarmer -

- Status changed from Open to In Progress

i will apply this patch later this afternoon...

#2 - 2009-05-27 05:46 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from In Progress to Closed

Applied in commit:f13f45e8 (SVN r10850)

Files

ftools_patch.zip 9.37 KB 2009-05-25 Alexander Bruy
